## staticsite 2.5

=== Makefile ===
PYTHON_ENVIRONMENT := PYTHONASYNCDEBUG=1 PYTHONDEBUG=1

check: flake8 mypy

format: pyupgrade autoflake isort black

pyupgrade:
	pyupgrade --exit-zero-even-if-changed --py311-plus ssite $(shell find staticsite tests -name "*.py")

black:
	black ssite staticsite tests

autoflake:
	autoflake --in-place --recursive ssite staticsite tests

isort:
	isort ssite staticsite tests

flake8:
	flake8 ssite staticsite tests

mypy:
	mypy ssite staticsite tests

unittest:
	$(PYTHON_ENVIRONMENT) nose2-3

coverage:
	$(PYTHON_ENVIRONMENT) nose2-3 --coverage staticsite --coverage-report html 

.PHONY: check pyupgrade black mypy unittest coverage

## staticsite 0.4

=== debian/changelog ===
staticsite (0.4-1) unstable; urgency=low

  * Initial version. Closes: #830582.

 -- Enrico Zini <enrico@debian.org>  Sun, 10 Jul 2016 12:22:22 +0200

=== debian/control ===
Source: staticsite
Maintainer: Enrico Zini <enrico@debian.org>
Section: web
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python3-all,
               python3-setuptools,
	       python3-unidecode, python3-markdown, python3-toml, python3-yaml,
	       python3-jinja2, python3-dateutil, python3-livereload,
               python3-tz, python3-slugify
Build-Depends-Indep: help2man
Standards-Version: 3.9.7
Homepage: https://github.com/spanezz/staticsite
Vcs-Git: https://github.com/spanezz/staticsite.git
Vcs-Browser: https://github.com/spanezz/staticsite

Package: staticsite
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: libjs-jquery, libjs-bootstrap
Description: Static site generator
 Static site generator based on markdown and jinja2.
 .
 Features:
  - themable
  - free content structure
  - hugo-style archetypes and front matter
  - live preview server

=== debian/rules ===
#!/usr/bin/make -f

srcname = staticsite
version = $(shell sed -nre 's/.*version[ ]*=[ ]*"([^"]+)".*/\1/p' setup.py)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	COLUMNS=200 help2man --name='Static site generator' --section=1 --version-string="$(version)" --no-info ./ssite > ssite.1

debsrc:
	python3 setup.py sdist
	mv dist/$(srcname)-$(version).tar.gz ../$(srcname)_$(version).orig.tar.gz
	gbp buildpackage -S -us -uc

## staticsite 0.5

=== debian/changelog ===
staticsite (0.5-1) unstable; urgency=medium

  * New upstream version
  * Added copyright of example assets to debian/copyright
  * Made livereload an optional dependency
  * Depends on python3-tz. Closes: #860305.

 -- Enrico Zini <enrico@debian.org>  Tue, 24 Jul 2018 10:51:34 +0800

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,8 @@
 	       python3-jinja2, python3-dateutil, python3-livereload,
                python3-tz, python3-slugify
 Build-Depends-Indep: help2man
-Standards-Version: 3.9.7
+Standards-Version: 4.1.5
+Rules-Requires-Root: no
 Homepage: https://github.com/spanezz/staticsite
 Vcs-Git: https://github.com/spanezz/staticsite.git
 Vcs-Browser: https://github.com/spanezz/staticsite
@@ -18,7 +19,7 @@
 Package: staticsite
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}
-Recommends: libjs-jquery, libjs-bootstrap
+Recommends: ${python3:Recommends}, libjs-jquery, libjs-bootstrap
 Description: Static site generator
  Static site generator based on markdown and jinja2.
  .

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,16 @@
 srcname = staticsite
 version = $(shell sed -nre 's/.*version[ ]*=[ ]*"([^"]+)".*/\1/p' setup.py)
 
+# See https://wiki.debian.org/Python/Pybuild
+export PYBUILD_BEFORE_TEST=cp -r {dir}/example {build_dir}
+export PYBUILD_AFTER_TEST=rm -rf {build_dir}/example
+
+
 %:
 	dh $@ --with python3 --buildsystem=pybuild
+
+override_dh_python3:
+	dh_python3 --recommends-section=serve
 
 override_dh_auto_build:
 	dh_auto_build

## staticsite 1.0

=== debian/changelog ===
staticsite (1.0-1) unstable; urgency=medium

  * New upstream version
     - Big clean up of code structure
     - Support for site-specific pluggable features
     - Implemented data pages to provide pure datasets as page sources
     - Cache rendered Markdown to speed up site rebuilds

 -- Enrico Zini <enrico@debian.org>  Sun, 03 Nov 2019 21:21:54 +0100

## staticsite 1.1

=== debian/changelog ===
staticsite (1.1-1) unstable; urgency=medium

  * New upstream version
     - More 'Feature' features and documentation
     - Reuse unchanged contents in build directory to speed up build

 -- Enrico Zini <enrico@debian.org>  Thu, 14 Nov 2019 17:43:31 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 Package: staticsite
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}
-Recommends: ${python3:Recommends}, libjs-jquery, libjs-bootstrap
+Recommends: ${python3:Recommends}, libjs-jquery, libjs-bootstrap, python3-lmdb
 Description: Static site generator
  Static site generator based on markdown and jinja2.
  .

## staticsite 1.2

=== debian/changelog ===
staticsite (1.2-1) unstable; urgency=medium

  * New upstream version
     - Significant code and feature cleanup
     - Requires some porting on existing sites. See upgrade notes in NEWS.md

 -- Enrico Zini <enrico@debian.org>  Thu, 19 Dec 2019 18:45:37 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
                dh-python,
                python3-all,
                python3-setuptools,
-	       python3-unidecode, python3-markdown, python3-toml, python3-yaml,
+	       python3-markdown, python3-docutils,
+	       python3-toml, python3-yaml, python3-ruamel.yaml,
 	       python3-jinja2, python3-dateutil, python3-livereload,
                python3-tz, python3-slugify
 Build-Depends-Indep: help2man
@@ -19,7 +20,7 @@
 Package: staticsite
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}
-Recommends: ${python3:Recommends}, libjs-jquery, libjs-bootstrap, python3-lmdb
+Recommends: ${python3:Recommends}, libjs-jquery, libjs-bootstrap4, fonts-fork-awesome, python3-lmdb
 Description: Static site generator
  Static site generator based on markdown and jinja2.
  .

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,22 @@
 	dh_auto_build
 	COLUMNS=200 help2man --name='Static site generator' --section=1 --version-string="$(version)" --no-info ./ssite > ssite.1
 
+override_dh_compress:
+	dh_compress --exclude=.ico
+
+override_dh_installdocs:
+	dh_installdocs
+	# Remove vendored front end libraries
+	rm -r debian/staticsite/usr/share/doc/staticsite/example/theme/static/jquery
+	rm -r debian/staticsite/usr/share/doc/staticsite/example/theme/static/popper.js
+	rm -r debian/staticsite/usr/share/doc/staticsite/example/theme/static/bootstrap4
+	rm -r debian/staticsite/usr/share/doc/staticsite/example/theme/static/fork-awesome
+	# Configure example site to use system versions instead
+	echo '---' > debian/staticsite/usr/share/doc/staticsite/example/theme/config
+	echo '# System-distributed assets in use' >> debian/staticsite/usr/share/doc/staticsite/example/theme/config
+	echo 'system_assets: [jquery, popper.js, bootstrap4, fork-awesome]' >> debian/staticsite/usr/share/doc/staticsite/example/theme/config
+
+
 debsrc:
 	python3 setup.py sdist
 	mv dist/$(srcname)-$(version).tar.gz ../$(srcname)_$(version).orig.tar.gz

## staticsite 1.3

=== debian/changelog ===
staticsite (1.3-1) unstable; urgency=medium

  * New upstream version
     - Consolidated existing features, see NEWS.md
     - Themes can now extend existing themes
     - Standard themes are now distributed in /usr/share/staticsite/themes,
       and it's possible to add/package new ones

 -- Enrico Zini <enrico@debian.org>  Sat, 28 Dec 2019 22:35:19 +0100

=== debian/rules ===
#!/usr/bin/make -f

srcname = staticsite
version = $(shell sed -nre 's/.*version[ ]*=[ ]*"([^"]+)".*/\1/p' setup.py)
themedir = /usr/share/staticsite/themes

# See https://wiki.debian.org/Python/Pybuild
export PYBUILD_BEFORE_TEST=cp -r {dir}/example {dir}/themes {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/example {build_dir}/themes


%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_python3:
	dh_python3 --recommends-section=serve

override_dh_auto_build:
	dh_auto_build
	COLUMNS=200 help2man --name='Static site generator' --section=1 --version-string="$(version)" --no-info ./ssite > ssite.1

override_dh_compress:
	dh_compress --exclude=.ico

override_dh_installdocs:
	dh_installdocs
	# Remove vendored front end libraries
	rm -r debian/staticsite$(themedir)/default/static/jquery
	rm -r debian/staticsite$(themedir)/default/static/popper.js
	rm -r debian/staticsite$(themedir)/default/static/bootstrap4
	rm -r debian/staticsite$(themedir)/default/static/fork-awesome
	# Configure example site to use system versions instead
	echo '---' > debian/staticsite$(themedir)/default/config
	echo '# System-distributed assets in use' >> debian/staticsite$(themedir)/default/config
	echo 'system_assets: [jquery, popper.js, bootstrap4, fork-awesome]' >> debian/staticsite$(themedir)/default/config


debsrc:
	python3 setup.py sdist
	mv dist/$(srcname)-$(version).tar.gz ../$(srcname)_$(version).orig.tar.gz
	gbp buildpackage -S -us -uc

## staticsite 1.4

=== debian/changelog ===
staticsite (1.4-1) unstable; urgency=medium

  * New upstream version
     - Polished blogging use case. See NEWS.md for details.

 -- Enrico Zini <enrico@debian.org>  Tue, 07 Jan 2020 14:06:43 +0100

## staticsite 1.4.1

=== debian/changelog ===
staticsite (1.4.1-1) unstable; urgency=medium

  * New upstream version
     - Fixes after some use. See NEWS.md for details.

 -- Enrico Zini <enrico@debian.org>  Tue, 07 Jan 2020 15:29:10 +0100

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,13 @@
                dh-python,
                python3-all,
                python3-setuptools,
-	       python3-markdown, python3-docutils,
-	       python3-toml, python3-yaml, python3-ruamel.yaml,
-	       python3-jinja2, python3-dateutil, python3-livereload,
-               python3-tz, python3-slugify
+               python3-markdown, python3-docutils,
+               python3-toml, python3-yaml, python3-ruamel.yaml,
+               python3-pil,
+               python3-jinja2, python3-dateutil,
+               python3-tz, python3-slugify,
+               python3-tornado, python3-pyinotify,
+               exiftool
 Build-Depends-Indep: help2man
 Standards-Version: 4.1.5
 Rules-Requires-Root: no
@@ -20,7 +23,7 @@
 Package: staticsite
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}
-Recommends: ${python3:Recommends}, libjs-jquery, libjs-bootstrap4, fonts-fork-awesome, python3-lmdb
+Recommends: ${python3:Recommends}, libjs-jquery, libjs-bootstrap4, fonts-fork-awesome, python3-lmdb, exiftool
 Description: Static site generator
  Static site generator based on markdown and jinja2.
  .

## staticsite 1.5

=== debian/changelog ===
staticsite (1.5-1) unstable; urgency=medium

  * New upstream version
     - Polished code repository use case. See NEWS.md for details.
     - Forward ported to Jinja3
  * Fixed versioned dependency on debhelper

 -- Enrico Zini <enrico@debian.org>  Sat, 16 Apr 2022 14:41:25 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Maintainer: Enrico Zini <enrico@debian.org>
 Section: web
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 12),
                dh-python,
                python3-all,
                python3-setuptools,
                python3-markdown, python3-docutils,
                python3-toml, python3-yaml, python3-ruamel.yaml,
                python3-pil,
-               python3-jinja2, python3-dateutil,
+               python3-jinja2 (>= 3), python3-dateutil,
                python3-tz, python3-slugify,
                python3-tornado, python3-pyinotify,
                exiftool

## staticsite 1.6

=== debian/changelog ===
staticsite (1.6-2) unstable; urgency=medium

  * Source-only build for transition into testing

 -- Enrico Zini <enrico@debian.org>  Sat, 22 Oct 2022 15:46:23 +0200

staticsite (1.6-1) unstable; urgency=medium

  * New upstream version
     - Deal gracefully with broken symlinks (#55)
     - Open links from link collections in new tabs
     - Use topological sorting from python's stdlib if available (#56)
     - Fixed `title` and `parent` metadata of dir pages to match
       [documentation](doc/reference/dir.md) (#56)
     - Fixed missing `page.meta.site_name` when evaluating `template_title` and
       `template_description` (#51)
     - Fixed broken `page.name` references in example site (#50)
     - Added a title to archive pages in the default theme (#50)
     - Documented that taxonomy archive pages are created using the syndication feature (#50)
     - Forward port to Jinja3. Thanks Tobias Gruetzmacher
     - Work with newer python3-markdown, Thanks @donkult (#58)
     - Fixed filesystem-dependent test failure (#54)
  * Updated Standards-Version, no changes required

 -- Enrico Zini <enrico@debian.org>  Sat, 22 Oct 2022 12:13:14 +0200

## staticsite 2.2

=== debian/changelog ===
staticsite (2.2-1) unstable; urgency=medium

  * New upstream version (see NEWS.md for changes)

 -- Enrico Zini <enrico@debian.org>  Wed, 04 Jan 2023 01:33:02 +0100

staticsite (2.1-1) unstable; urgency=medium

  * New upstream version (see NEWS.md for changes)
  * Point Vcs-* to Salsa

 -- Enrico Zini <enrico@debian.org>  Wed, 04 Jan 2023 00:43:54 +0100

staticsite (2.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Bump debhelper from old 12 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

  [ Enrico Zini ]
  * New upstream version

 -- Enrico Zini <enrico@debian.org>  Wed, 04 Jan 2023 00:17:27 +0100

## staticsite 2.3

=== debian/changelog ===
staticsite (2.3-1) unstable; urgency=medium

  * New upstream version (see NEWS.md for changes)

 -- Enrico Zini <enrico@debian.org>  Wed, 04 Jan 2023 14:33:26 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Enrico Zini <enrico@debian.org>
 Section: web
 Priority: optional
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
@@ -14,11 +14,11 @@
                python3-tornado, python3-pyinotify,
                exiftool
 Build-Depends-Indep: help2man
-Standards-Version: 4.1.5
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/spanezz/staticsite
-Vcs-Git: https://github.com/spanezz/staticsite.git
-Vcs-Browser: https://github.com/spanezz/staticsite
+Vcs-Git: https://salsa.debian.org/enrico/staticsite.git
+Vcs-Browser: https://salsa.debian.org/enrico/staticsite
 
 Package: staticsite
 Architecture: all

## staticsite 2.4

=== debian/changelog ===
staticsite (2.4-1) unstable; urgency=medium

  * New upstream version (see NEWS.md for changes)
  * Disabled manpage generation in debian/rules, as the manpage is shipped
    upstream

 -- Enrico Zini <enrico@debian.org>  Mon, 04 Sep 2023 17:22:24 +0530

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
                python3-tz, python3-slugify,
                python3-tornado, python3-pyinotify,
                exiftool
-Build-Depends-Indep: help2man
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/spanezz/staticsite

## staticsite 2.5

=== debian/changelog ===
staticsite (2.5-1) unstable; urgency=medium

  * New upstream version (see NEWS.md for changes). Closes: #1078321

 -- Enrico Zini <enrico@debian.org>  Sun, 18 Aug 2024 18:00:31 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Section: web
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all,
-               python3-setuptools,
+               python3-hatchling,
                python3-markdown, python3-docutils,
                python3-toml, python3-yaml, python3-ruamel.yaml,
                python3-pil,
@@ -18,11 +19,12 @@
 Homepage: https://github.com/spanezz/staticsite
 Vcs-Git: https://salsa.debian.org/enrico/staticsite.git
 Vcs-Browser: https://salsa.debian.org/enrico/staticsite
+X-Python3-Version: >= 3.11
 
 Package: staticsite
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}
-Recommends: ${python3:Recommends}, libjs-jquery, libjs-bootstrap4, fonts-fork-awesome, python3-lmdb, exiftool
+Recommends: ${python3:Recommends}, libjs-jquery, libjs-bootstrap4, libjs-bootstrap5, fonts-fork-awesome, python3-lmdb, exiftool
 Description: Static site generator
  Static site generator based on markdown and jinja2.
  .

=== debian/rules ===
#!/usr/bin/make -f

srcname = staticsite
version = $(shell sed -nre 's/.*version[ ]*=[ ]*"([^"]+)".*/\1/p' setup.py)
themedir = /usr/share/staticsite/themes

# See https://wiki.debian.org/Python/Pybuild
export PYBUILD_BEFORE_TEST=cp -r {dir}/example {dir}/themes {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/example {build_dir}/themes


%:
	dh $@ --buildsystem=pybuild

override_dh_python3:
	dh_python3 --recommends-section=serve

override_dh_compress:
	dh_compress --exclude=.ico

override_dh_installdocs:
	dh_installdocs
	# Remove vendored front end libraries
	rm -r debian/staticsite$(themedir)/default-base/static/fork-awesome
	rm -r debian/staticsite$(themedir)/default/static/jquery
	rm -r debian/staticsite$(themedir)/default/static/popper.js
	rm -r debian/staticsite$(themedir)/default/static/bootstrap4
	rm -r debian/staticsite$(themedir)/default-b5/static/bootstrap5
	# Configure example site to use system versions instead
	echo '# System-distributed assets in use' >> debian/staticsite$(themedir)/default/config
	echo 'system_assets: [fork-awesome]' >> debian/staticsite$(themedir)/default/config
	echo 'system_assets: [jquery, popper.js, bootstrap4, bootstrap5]' >> debian/staticsite$(themedir)/default/config
	echo 'system_assets: [bootstrap5]' >> debian/staticsite$(themedir)/default/config


debsrc:
	python3 setup.py sdist
	mv dist/$(srcname)-$(version).tar.gz ../$(srcname)_$(version).orig.tar.gz
	gbp buildpackage -S -us -uc
